Bug 1304583 - [abrt] terminator: invalid syntax (terminator, line 125)
[abrt] terminator: invalid syntax (terminator, line 125)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: terminator (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4b3b7e267ff2b0f1a94003a051e...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 21:53 EST by Joe Doss
Modified: 2017-03-09 07:49 EST (History)
1 user (show)

See Also:
Fixed In Version: terminator-1.90-1.fc25 terminator-1.91-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-09 07:49:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (178 bytes, text/plain)
2016-02-03 21:53 EST, Joe Doss
no flags Details
File: environ (999 bytes, text/plain)
2016-02-03 21:53 EST, Joe Doss
no flags Details

  None (edit)
Description Joe Doss 2016-02-03 21:53:55 EST
Version-Release number of selected component:
terminator-0.98-2.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python /usr/bin/terminator
executable:     /usr/bin/terminator
kernel:         4.3.4-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
invalid syntax (terminator, line 125)

  File "/usr/bin/terminator", line 125
    except (KeyError,ValueError), ex:
                                ^
SyntaxError: invalid syntax
Comment 1 Joe Doss 2016-02-03 21:53:58 EST
Created attachment 1121018 [details]
File: backtrace
Comment 2 Joe Doss 2016-02-03 21:53:59 EST
Created attachment 1121019 [details]
File: environ
Comment 3 Joe Doss 2016-02-03 22:11:45 EST
Turns out I had set Python 3.4 as my default and switching back to Python 2.7 resolved this error.
Comment 4 Fedora Update System 2016-11-24 05:42:01 EST
terminator-1.90-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ec937ddb3c
Comment 5 Fedora Update System 2016-11-24 05:42:33 EST
terminator-1.90-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-082f9377fd
Comment 6 Fedora End Of Life 2016-11-24 10:23:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora Update System 2016-11-25 04:40:05 EST
terminator-1.90-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ec937ddb3c
Comment 8 Fedora Update System 2016-11-25 04:43:14 EST
terminator-1.90-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-082f9377fd
Comment 9 Fedora Update System 2016-11-30 00:29:12 EST
terminator-1.90-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-12-04 10:57:49 EST
terminator-1.90-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-77620715b6
Comment 11 Fedora Update System 2016-12-05 22:59:49 EST
terminator-1.90-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-77620715b6
Comment 12 Fedora End Of Life 2016-12-20 13:25:15 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Fedora Update System 2017-02-27 05:51:37 EST
terminator-1.91-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e906b78dcf
Comment 14 Fedora Update System 2017-02-27 18:52:01 EST
terminator-1.91-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e906b78dcf
Comment 15 Fedora Update System 2017-03-09 07:49:16 EST
terminator-1.91-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.